"use strict";

exports.__esModule = true;
exports.isJSONObject = isJSONObject;
exports["default"] = parse;

function isJSONObject(object) {
  return typeof object === "object" && !Array.isArray(object);
}

function parse(text) {
  if (text) {
    try {
      var json = JSON.parse(text);

      if (isJSONObject(json)) {
        return json;
      } else {
        return undefined;
      }
    } catch (e) {
      return undefined;
    }
  } else {
    return undefined;
  }
}